# middleware-rename-file [![NPM version](https://img.shields.io/npm/v/middleware-rename-file.svg?style=flat)](https://www.npmjs.com/package/middleware-rename-file) [![NPM downloads](https://img.shields.io/npm/dm/middleware-rename-file.svg?style=flat)](https://npmjs.org/package/middleware-rename-file) [![Build Status](https://img.shields.io/travis/jonschlinkert/middleware-rename-file.svg?style=flat)](https://travis-ci.org/jonschlinkert/middleware-rename-file)

Middleware for renaming views based on front-matter properties.

## Install

Install with [npm](https://www.npmjs.com/):

```sh
$ npm install --save middleware-rename-file
```

## Usage

This can be used with [assemble](https://github.com/assemble/assemble), [verb](https://github.com/verbose/verb), [generate](https://github.com/generate/generate), [update](https://github.com/update/update) or an other library that is based on [templates](https://github.com/jonschlinkert/templates).

**.onLoad**

The main export is a plugin function that automatically creates an `.onLoad` middleware that will run against every file.

```js
var templates = require('templates');
var app = templates();
app.use(require('middleware-rename-file'));
```

The `.onLoad` stage is used to ensure that files are renamed before rendering, in case file paths need to be on the context at render time.

## About

### Contributing

Pull requests and stars are always welcome. For bugs and feature requests, [please create an issue](../../issues/new).

### Building docs

_(This document was generated by [verb-generate-readme](https://github.com/verbose/verb-generate-readme) (a [verb](https://github.com/verbose/verb) generator), please don't edit the readme directly. Any changes to the readme must be made in [.verb.md](.verb.md).)_

To generate the readme and API documentation with [verb](https://github.com/verbose/verb):

```sh
$ npm install -g verb verb-generate-readme && verb
```

### Running tests

Install dev dependencies:

```sh
$ npm install -d && npm test
```

### Author

**Jon Schlinkert**

* [github/jonschlinkert](https://github.com/jonschlinkert)
* [twitter/jonschlinkert](http://twitter.com/jonschlinkert)

### License

Copyright © 2016, [Jon Schlinkert](https://github.com/jonschlinkert).
Released under the [MIT license](https://github.com/jonschlinkert/middleware-rename-file/blob/master/LICENSE).

***

_This file was generated by [verb-generate-readme](https://github.com/verbose/verb-generate-readme), v0.1.30, on August 17, 2016._